
#include "기계닉스\기계닉스_이름정의.h"

#include "기계닉스\Gui.h"


struct ts_전광판전구설정정보
{
  unsigned char   종류;
  unsigned short  크기;
  unsigned int    켜기색;
  unsigned int    끄기색;
  bool            테두리유무;
  unsigned int    테두리색;
  unsigned int    배경색;

};

struct ts_폼디자인
{
  t_생성자  기본_GForm[d_Gui_생성자_크기];
  t_생성자  제어부_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  통신포트_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  통신포트번호_GBtn[d_Gui_생성자_크기];
  t_생성자  통신포트열기_GBtn[d_Gui_생성자_크기];
  t_생성자  S00_GScrollV[d_Gui_생성자_크기];
  t_생성자  S01_GScrollV[d_Gui_생성자_크기];
  t_생성자  S02_GScrollV[d_Gui_생성자_크기];
  t_생성자  S03_GScrollV[d_Gui_생성자_크기];
  t_생성자  S04_GScrollV[d_Gui_생성자_크기];
  t_생성자  S05_GScrollV[d_Gui_생성자_크기];
  t_생성자  S06_GScrollV[d_Gui_생성자_크기];
  t_생성자  S07_GScrollV[d_Gui_생성자_크기];
  t_생성자  S08_GScrollV[d_Gui_생성자_크기];
  t_생성자  S09_GScrollV[d_Gui_생성자_크기];
  t_생성자  S10_GScrollV[d_Gui_생성자_크기];
  t_생성자  S11_GScrollV[d_Gui_생성자_크기];
  t_생성자  S00_GLabel[d_Gui_생성자_크기];
  t_생성자  S01_GLabel[d_Gui_생성자_크기];
  t_생성자  S02_GLabel[d_Gui_생성자_크기];
  t_생성자  S03_GLabel[d_Gui_생성자_크기];
  t_생성자  S04_GLabel[d_Gui_생성자_크기];
  t_생성자  S05_GLabel[d_Gui_생성자_크기];
  t_생성자  S06_GLabel[d_Gui_생성자_크기];
  t_생성자  S07_GLabel[d_Gui_생성자_크기];
  t_생성자  S08_GLabel[d_Gui_생성자_크기];
  t_생성자  S09_GLabel[d_Gui_생성자_크기];
  t_생성자  S10_GLabel[d_Gui_생성자_크기];
  t_생성자  S11_GLabel[d_Gui_생성자_크기];
  t_생성자  문서_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  열기_GBtn[d_Gui_생성자_크기];
  t_생성자  저장_GBtn[d_Gui_생성자_크기];
  t_생성자  명령_각도_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_각도_GBtn[d_Gui_생성자_크기];
  t_생성자  명령각도_속도_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_속도종류_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_가감속상수_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_완료보고비율_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_속도_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_속도종류_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_가감속상수_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_완료보고비율_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S00_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S01_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S02_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S03_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S04_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S05_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S06_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S07_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S08_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S09_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S10_GEdit[d_Gui_생성자_크기];
  t_생성자  명령각도_S11_GEdit[d_Gui_생성자_크기];
  t_생성자  검증_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S00_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S01_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S02_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S03_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S04_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S05_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S06_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S07_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S08_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S09_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S10_GLabel[d_Gui_생성자_크기];
  t_생성자  명령각도_S11_GLabel[d_Gui_생성자_크기];
  t_생성자  편집_GEditor[d_Gui_생성자_크기];
  t_생성자  영점조정설정_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  영점조정설정_GLabel[d_Gui_생성자_크기];
  t_생성자  영점조정설정_PWM번호선택_GBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_PWM값_GBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_쓰기_GBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_PWM_GScrollH[d_Gui_생성자_크기];
  t_생성자  각도0_GLabel[d_Gui_생성자_크기];
  t_생성자  각도180_GLabel[d_Gui_생성자_크기];
  t_생성자  영점조정설정_0도_GRdoBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_0도_GLabel[d_Gui_생성자_크기];
  t_생성자  영점조정설정_90도_GRdoBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_180도_GRdoBtn[d_Gui_생성자_크기];
  t_생성자  영점조정설정_90도_GLabel[d_Gui_생성자_크기];
  t_생성자  영점조정설정_180도_GLabel[d_Gui_생성자_크기];
  t_생성자  주기설정_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  주기설정_GLabel[d_Gui_생성자_크기];
  t_생성자  주기설정_주기_GBtn[d_Gui_생성자_크기];
  t_생성자  주기설정_주기_GLabel[d_Gui_생성자_크기];
  t_생성자  주기설정_쓰기_GBtn[d_Gui_생성자_크기];
  t_생성자  명령각도_퍼센트_GLabel[d_Gui_생성자_크기];
  t_생성자  제어_Base_GLabel[d_Gui_생성자_크기];
  t_생성자  제어_실행_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  제어_정지_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  제어_리셋_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  검증_검증시간설정_GLabel[d_Gui_생성자_크기];
  t_생성자  검증_검증시간_GEdit[d_Gui_생성자_크기];
  t_생성자  검증_실행_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  검증_한줄실행_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  검증_한줄연속실행_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  검증_처음명령줄로이동_GBmpBtn[d_Gui_생성자_크기];
  t_생성자  새문서_GBtn[d_Gui_생성자_크기];
  t_생성자  모두저장_GBtn[d_Gui_생성자_크기];
  t_생성자  GVMX_설치_GBtn[d_Gui_생성자_크기];
  t_생성자  통신포트_GLabel[d_Gui_생성자_크기];

  //[2024.05.16.목][추가]
  t_생성자  진행막대_GProgress[d_Gui_생성자_크기];

  //[2024.5.19.일][추가]
  t_생성자  영점조정설정_PWM번호_GList[d_Gui_생성자_크기];
  t_생성자  영점조정설정_90도_GChkBtn[d_Gui_생성자_크기];

  //[2024.05.23.목][추가]
  t_생성자  영점조정설정_모드_GChkBtn[d_Gui_생성자_크기];

  //[2024.05.29.수][추가]
  t_생성자  현재상태저장_GBtn[d_Gui_생성자_크기];

  //[2024.06.16.일][추가]
  t_생성자  편집기_기본설명_GLabel[d_Gui_생성자_크기];

  //[모달 관련]
  //{
      bool  기본_GForm_모달;

      //[2024.05.19.일][추가]
      bool  영점조정설정_PWM번호_GList_모달;

  //}

};

void _폼디자인_위치얻기(struct ts_폼디자인  **r폼디자인);

void _폼디자인_생성(void);

void _폼디자인_소멸(void);

void _폼디자인_모달_초기화(void);

void _폼디자인_모달_구현(bool  p모달유무);

//[이벤트]
//{
    void _폼디자인_이벤트(struct t_Gui_알림문64  *p알림문64);

    void _폼디자인_기본_GForm_이벤트_Close(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기본_GForm_이벤트_Drag(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기본_GForm_이벤트_Drop(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기본_GForm_이벤트_Move(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기본_GForm_이벤트_Resize(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_통신포트번호_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_통신포트열기_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S00_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S01_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S02_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S03_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S04_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S05_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S06_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S07_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S08_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S09_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S10_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_S11_GScrollV_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_열기_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_저장_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_각도_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_속도_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_속도종류_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_가감속상수_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_완료보고비율_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S00_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S01_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S02_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S03_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S04_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S05_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S06_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S07_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S08_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S09_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S10_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_명령각도_S11_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_편집_GEditor_이벤트_Select(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_편집_GEditor_이벤트_MSelect(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_PWM번호선택_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_PWM값_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_쓰기_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_PWM_GScrollH_이벤트_Scroll(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_0도_GRdoBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_90도_GRdoBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_180도_GRdoBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_주기설정_주기_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_주기설정_쓰기_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_제어_실행_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_제어_정지_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_제어_리셋_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검증_검증시간_GEdit_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검증_실행_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검증_한줄실행_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검증_한줄연속실행_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검증_처음명령줄로이동_GBmpBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_새문서_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_모두저장_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_GVMX_설치_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);

    //[2024.05.19.일][추가]
    void _폼디자인_영점조정설정_PWM번호_GList_이벤트_Select(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_PWM번호_GList_이벤트_KEnter(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_영점조정설정_90도_GChkBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);

    //[2024.05.23.목][추가]
    void _폼디자인_영점조정설정_모드_GChkBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);

    //[2024.05.29.수][추가]
    void _폼디자인_현재상태저장_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);

//}

